#!/bin/bash

if [ -e /sys/class/video4linux/video0 ]; then
    CAM=`cat /sys/class/video4linux/video0/name`
elif [ -e /proc/video/dev/video0 ]; then
    CAM="Video capture device video0"
else
    xmessage -geometry +200+30 "Device not found.  Plug in a web-cam."
    exit
fi

if fuser /dev/video0 &> /dev/null ;
then
    xmessage -geometry +200+30 "$CAM is busy."
    exit
fi

xawtv -c /dev/video0 &> /dev/null
sleep 1

if ! fuser /dev/video0 &> /dev/null ;
then
    xmessage -geometry +200+30 "Unable to open $CAM."
fi
